"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvaluationPlanGenericQuery = exports.EvaluationPlanFilters = exports.EvaluationPlanStatus = exports.AuditorEvaluationPlan = exports.EvaluationPlan = void 0;
var EvaluationPlan = (function () {
    function EvaluationPlan(id, modality, dateFin, idEvaluationFormat, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, description, completedCount, interactionTimeSum, enabled, completed, status, evaluation_mode, totalEvaluations, completedEvaluations, completedPercentage, pendingInteractionCount) {
        this.id = id;
        this.modality = modality;
        this.dateFin = dateFin;
        this.idEvaluationFormat = idEvaluationFormat;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.description = description;
        this.completedCount = completedCount;
        this.interactionTimeSum = interactionTimeSum;
        this.enabled = enabled;
        this.completed = completed;
        this.status = status;
        this.evaluation_mode = evaluation_mode;
        this.totalEvaluations = totalEvaluations;
        this.completedEvaluations = completedEvaluations;
        this.completedPercentage = completedPercentage;
        this.pendingInteractionCount = pendingInteractionCount;
        this.selected = false;
        this.channelInteractions = [];
        this.uniqueInteractions = [];
        this.interactions = [];
        this.auditors = [];
    }
    return EvaluationPlan;
}());
exports.EvaluationPlan = EvaluationPlan;
var AuditorEvaluationPlan = (function () {
    function AuditorEvaluationPlan(idEvaluationPlan, idAuditor, descriptionAuditor, pendingInteractionCount, numberInteractions, uncompleteInteractions, interactionTimeSum, pendingInteractionTimeSum) {
        this.idEvaluationPlan = idEvaluationPlan;
        this.idAuditor = idAuditor;
        this.descriptionAuditor = descriptionAuditor;
        this.pendingInteractionCount = pendingInteractionCount;
        this.numberInteractions = numberInteractions;
        this.uncompleteInteractions = uncompleteInteractions;
        this.interactionTimeSum = interactionTimeSum;
        this.pendingInteractionTimeSum = pendingInteractionTimeSum;
        this.selected = false;
        this.interactions = [];
    }
    return AuditorEvaluationPlan;
}());
exports.AuditorEvaluationPlan = AuditorEvaluationPlan;
var EvaluationPlanStatus;
(function (EvaluationPlanStatus) {
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_CREATED"] = 1] = "STATUS_CREATED";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_TRANSCRIBING"] = 2] = "STATUS_TRANSCRIBING";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_TRANSCRIPT"] = 3] = "STATUS_TRANSCRIPT";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_ANALYZING"] = 4] = "STATUS_ANALYZING";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_ANALYZED"] = 5] = "STATUS_ANALYZED";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_EVALUATING"] = 6] = "STATUS_EVALUATING";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_COMPLETED"] = 7] = "STATUS_COMPLETED";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_MIXED_EVALUATING"] = 8] = "STATUS_MIXED_EVALUATING";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_FAILED"] = 9] = "STATUS_FAILED";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_CANCELLED_BY_FAILED_PROCESS"] = 10] = "STATUS_CANCELLED_BY_FAILED_PROCESS";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_ABILITY_EVALUATED"] = 11] = "STATUS_ABILITY_EVALUATED";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_TIPIFICATION_ANALYZING"] = 12] = "STATUS_TIPIFICATION_ANALYZING";
    EvaluationPlanStatus[EvaluationPlanStatus["STATUS_TIPIFICATION_ANALYZED"] = 13] = "STATUS_TIPIFICATION_ANALYZED";
})(EvaluationPlanStatus = exports.EvaluationPlanStatus || (exports.EvaluationPlanStatus = {}));
var EvaluationPlanFilters = (function () {
    function EvaluationPlanFilters() {
        this.evaluationPlans = [];
        this.completed = false;
        this.view = null;
        this.efectivityMode = false;
        this.efectivityPlans = [];
    }
    return EvaluationPlanFilters;
}());
exports.EvaluationPlanFilters = EvaluationPlanFilters;
var EvaluationPlanGenericQuery = (function () {
    function EvaluationPlanGenericQuery() {
    }
    return EvaluationPlanGenericQuery;
}());
exports.EvaluationPlanGenericQuery = EvaluationPlanGenericQuery;
