"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScoreTipificationItem = exports.ScoreTipificationQuery = exports.ScoreTipification = exports.Score = void 0;
var Score = (function () {
    function Score(id, description, value) {
        this.id = id;
        this.description = description;
        this.value = value;
        this.abilityId = null;
        this.tipifications = [];
    }
    return Score;
}());
exports.Score = Score;
var ScoreTipification = (function () {
    function ScoreTipification() {
        this.abilityId = null;
        this.scoreId = null;
        this.id = null;
        this.description = null;
        this.descriptionDetail = null;
        this.order = null;
        this.tipificationQuery = null;
        this.items = [];
        this.isChecked = false;
        this.comment = null;
        this.isNew = false;
    }
    return ScoreTipification;
}());
exports.ScoreTipification = ScoreTipification;
var ScoreTipificationQuery = (function () {
    function ScoreTipificationQuery() {
        this.scoreId = null;
        this.tipificationId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.acceptanceInteger = 0;
    }
    return ScoreTipificationQuery;
}());
exports.ScoreTipificationQuery = ScoreTipificationQuery;
var ScoreTipificationItem = (function () {
    function ScoreTipificationItem() {
        this.scoreId = null;
        this.tipificationId = null;
        this.secondLevelItemId = null;
        this.id = null;
        this.description = null;
        this.order = null;
        this.isChecked = false;
    }
    return ScoreTipificationItem;
}());
exports.ScoreTipificationItem = ScoreTipificationItem;
